rizq_sanjaya_app/urls.py
from django.urls import path, include
from .views import *
from django.contrib.auth import views as auth_views


app_name = 'profile'
urlpatterns = [
    path('', dashboard.index, name='home'),
    path('calculate_loan', dashboard.calculate_loan, name='calculate_loan'),

    #INI ADALAH YOGYAEXPLORE
    path('profile/', dashboard.profil, name='profil'),
    path('paket/', dashboard.paket, name='paket'),
    path('detail_paket/<int:id>', dashboard.detail_paket, name='detail_paket'),
    path('cara_bayar/', dashboard.cara_bayar, name='cara_bayar'),
    path('gallery/', dashboard.galeri, name='galeri'),
    path('berita/', dashboard.beritaMobil, name='berita'),
    path('detail_info/<str:slug>', dashboard.detail_info, name='detail_info'),
    path('detail_mobil/<str:id>', dashboard.detail_mobil, name='detail_mobil'),
    path('promo/', dashboard.promo, name='promo'),
    path('pricelist/', dashboard.pricelist, name='pricelist'),
    path('category/<int:id>', dashboard.kategori, name='kategori'),
    path('detail_berita/<str:slug>', dashboard.detail_berita, name='detail_berita'),
    path('contact/', dashboard.kontak, name='kontak'),

    # path('gallery/', dashboard.gallery, name='gallerry'),
    path('prev/<int:id>/', dashboard.prev, name='prev'),
    path('next/<int:id>/', dashboard.next, name='next'),
    path('Category/', dashboard.ajax, name='ajax'),
    path('Produk/<int:id>', dashboard.produk, name='produk'),
    path('contact_us/', dashboard.contact, name='contact'),
    path('supplier/', dashboard.supplier, name='supplier'),
    path('render_laporan/', dashboard.render_laporan, name='render_laporan'),
    # url(r'refresh/$', views.captcha_refresh, name='captcha-refresh')
    # path('captcha/refresh/', guestbook.captcha_refresh, name='captcha_refresh'),

    # ABOUT ==================
    path('about/', halaman.index_about, name='idx_about'),
    
    # Mobil ==================
    path('kategori_mobil/<int:id_kat>', mobil_front.index, name='kategori_mobil'),

    # KONTAK PAJERO SPORT ==================
    path('contact/', halaman.index_contact, name='idx_contact'),

    # === Layanan ========================
    path('layanan/', layanan.index, name='layanan'),
    path('layanan/<str:jenis>', layanan.detail, name='layanan'),
    path('layanan/komoditas/<str:jenis>', layanan.detail_komoditas, name='detail_komoditas'),

    # DOKUMEN PUBLIKASI
    # path('dokumen/', documents.index, name='document'),
    # path('dokumen/<str:slug>', documents.detail, name='document_detail'),
    
    # NEWS ========================================
    path('berita/', news.index, name='news'),
    path('berita/<str:slug>', news.detail, name='news_detail'),
    path('berita/category/<str:jenis>/<str:slug>', news.category, name='news_by_category'),

    # DOKUMEN PUBLIKASI
    path('galeri/', gallery.index, name='gallery'),
    path('galeri/<str:slug>', gallery.detail, name='gallery_detail'),
    # path('galeri/category/<str:slug>', gallery.category, name='gallery_by_category'),

    # PAGES
    # path('profil/<str:slug>', pages.index, name='pages'),

    # AGENDA
    # path('agenda/', agenda.index, name='agenda'),
    # path('api/agenda/get', agenda.get_agenda, name='agenda_get'),
    # path('agenda/<str:slug>', agenda.get_agenda_detail, name='agenda_detail'),

    # BUKU TAMU
    # path('buku_tamu/', guestbook.index, name='guestbook'),

    # PENGADUAN
    # path('complaint/', complaint.index, name='complaint'),

    # PENGUMUMAN
    # path('pengumuman/', announcement.index, name='announcement'),
    # path('pengumuman/<str:slug>', announcement.detail_front, name='announcement_detail'),

    # TAGS
    path('tags/<str:jenis>/<str:slug>', tags.index, name='tags'),

    # PASSWORD
    # path("password_reset", user.password_reset_request, name="password_reset"),
    # path('password_reset/done/', auth_views.PasswordResetDoneView.as_view(template_name='profile/admin/user/password/password_reset_done.html'), name='password_reset_done'),
    # path('password/reset/<uidb64>/<token>/', auth_views.PasswordResetConfirmView.as_view(template_name="profile/admin/user/password/password_reset_confirm.html"), name='password_reset_confirm_custom'),

    # PATH URL UNTUK ADMIN 
    path('manage_panel/', include(
        [
            path('', admin.index, name='admin_home'),
            path('verification/', user.verification, name='admin_verification'),
            path('send_verification/', user.send_verification, name='admin_send_verification'),
            path('email/verify/<uidb64>/<token>/',user.email_verify, name='admin_email_verify'),

            # PRODUK =====================================
            path('product/', include(
                [
                    path('', product.admin_index, name='admin_product'),
                    path('add/', product.create, name='admin_product_create'),
                    path('edit/<str:slug>', product.edit, name='admin_product_edit'),
                    path('detail/<str:slug>', product.admin_detail, name='admin_product_detail'),
                    path('soft_delete/<str:slug>', product.softDelete, name='admin_product_soft_delete'),
                    path('permanent_delete/<str:slug>', product.permanentDelete, name='admin_product_permanent_delete'),
                    path('restore/<str:slug>', product.restore, name='admin_product_restore'),
                ]
            )),
            
            # NEWS BERITA
            path('news/', include(
                [
                    path('', news.admin_index, name='admin_news'),
                    path('create/', news.create, name='admin_news_create'),
                    path('edit/<str:slug>', news.edit, name='admin_news_edit'),
                    path('detail/<str:slug>', news.admin_detail, name='admin_news_detail'),
                    path('soft_delete/<str:slug>', news.softDelete, name='admin_news_soft_delete'),
                    path('permanent_delete/<str:slug>', news.permanentDelete, name='admin_news_permanent_delete'),
                    path('restore/<str:slug>', news.restore, name='admin_news_restore'),
                ]
            )),

            path('kata_mereka/', include(
                [
                    path('', kata.admin_index, name='admin_KM'),
                    path('create/', kata.create, name='admin_KM_create'),
                    path('edit/<int:id>', kata.edit, name='admin_KM_edit'),
                    path('detail/<int:id>', kata.admin_detail, name='admin_KM_detail'),
                    path('soft_delete/<int:id>', kata.softDelete, name='admin_KM_soft_delete'),
                    path('permanent_delete/<int:id>', kata.permanentDelete, name='admin_KM_permanent_delete'),
                    path('restore/<int:id>', kata.restore, name='admin_KM_restore'),
                ]
            )),
            path('Keunggulan/', include(
                [
                    path('', keunggulan.admin_index, name='admin_keunggulan'),
                    path('', keunggulan.admin_index, name='admin_keunggulan'),
                    path('create/', keunggulan.create, name='admin_keunggulan_create'),
                    path('edit/<int:id>', keunggulan.edit, name='admin_keunggulan_edit'),
                    path('detail/<int:id>', keunggulan.admin_detail, name='admin_keunggulan_detail'),
                    path('soft_delete/<int:id>', keunggulan.softDelete, name='admin_keunggulan_soft_delete'),
                    path('permanent_delete/<int:id>', keunggulan.permanentDelete, name='admin_keunggulan_permanent_delete'),
                    path('restore/<int:id>', keunggulan.restore, name='admin_keunggulan_restore'),
                ]
            )),
            path('kategori_mobil/', include(
                [
                    
                    path('', kategorimobil.admin_index, name='admin_kateogri_mobil'),
                    path('create/', kategorimobil.create, name='admin_kategorimobil_create'),
                    path('edit/<int:id>', kategorimobil.edit, name='admin_kategorimobil_edit'),
                    path('detail/<int:id>', kategorimobil.admin_detail, name='admin_kategorimobil_detail'),
                    path('soft_delete/<int:id>', kategorimobil.softDelete, name='admin_kategorimobil_soft_delete'),
                    path('permanent_delete/<int:id>', kategorimobil.permanentDelete, name='admin_kategorimobil_permanent_delete'),
                    path('restore/<int:id>', kategorimobil.restore, name='admin_kategorimobil_restore'),
                ]
            )),

            path('pricelist/', include(
                [
                    path('', pricelists.admin_index, name='admin_pricelist_mobil'),
                    path('create/', pricelists.create, name='admin_pricelist_create'),
                    path('edit/<int:id>/', pricelists.edit, name='admin_pricelist_edit'),
                    path('soft_delete/<int:id>', pricelists.softDelete, name='admin_pricelist_soft_delete'),
                    path('permanent_delete/<int:id>', pricelists.permanentDelete, name='admin_pricelist_permanent_delete'),
                    path('restore/<int:id>', pricelists.restore, name='admin_pricelist_restore'),
                ]
            )),

            path('mobil/', include(
                [
                    path('', mobil.admin_index, name='admin_mobil'),
                    path('create/', mobil.create, name='admin_mobil_create'),
                    path('edit/<int:id>', mobil.edit, name='admin_mobil_edit'),
                    path('detail/<int:id>', mobil.admin_detail, name='admin_mobil_detail'),
                    path('soft_delete/<int:id>', mobil.softDelete, name='admin_mobil_soft_delete'),
                    path('restore/<int:id>', mobil.restore, name='admin_mobil_restore'),
                    path('permanent_delete/<int:id>', mobil.permanentDelete, name='admin_mobil_delete'),
                    
                    path('child/', include(

toyotajogja/urls.py
from django.contrib import admin
from django.urls import path,include
from django.conf import settings
from django.conf.urls.static import static

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('rizq_sanjaya_app.urls')),
    path('accounts/', include("django.contrib.auth.urls")),
]
urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)
urlpatterns += static(settings.STATIC_URL, document_root=settings.STATIC_ROOT)

rizq_sanjaya_app/views/_complaint.py
from django.shortcuts import render, HttpResponse, HttpResponseRedirect, redirect
from django.contrib.auth.decorators import login_required
from django.views.decorators.http import require_http_methods
from ..forms import *
from django.contrib import messages
from ..models import Complaint
import os
from django.conf import settings
from django.core.mail import EmailMessage, get_connection
from django.template.loader import get_template
from django.utils import timezone
from ..decorators import *

@require_http_methods(["GET", "POST"])
def index(request):
    if request.method == 'GET':
        favorits = News.objects.filter(deleted_at=None).order_by('-seen')[:5]
        form = ComplaintForm()
        context = {
            'title' : 'Pengaduan',
            'form' : form,
            'favs' : favorits,
            'captcha' : MyCaptcha(),
        }

        return render(request, 'profile/complaint/index.html', context)
    
    if request.method == 'POST':
        form = ComplaintForm(data=request.POST)
        captcha = MyCaptcha(request.POST)

        if captcha.is_valid():
            if form.is_valid():
                try:
                    message = get_template("profile/email/complaint.html").render({
                        'name': request.POST.get('name'),
                        'email': request.POST.get('email'),
                        'phone': request.POST.get('phone'),
                        'subject': request.POST.get('subject'),
                        'message': request.POST.get('message'),
                    })
                    connection = get_connection(host=settings.EMAIL_HOST, 
                                                port=settings.EMAIL_PORT, 
                                                username=settings.EMAIL_HOST_USER_PENGADUAN, 
                                                password=settings.EMAIL_HOST_PASSWORD_PENGADUAN, 
                                                use_tls=settings.EMAIL_USE_TLS)
                    mail = EmailMessage(
                        subject=request.POST.get('subject'),
                        body=message,
                        to=[
                            # masih perlu diupdate
                            'yoelaris@gmail.com',
                        ],
                        connection=connection,
                    )
                    form.save()
                    
                    mail.content_subtype = "html"
                    mail.send()

                    messages.success(request, 'Pengaduan anda berhasil dikirim.')
                    
                except:
                    messages.success(request, 'Pengaduan anda gagal dikirim.')
                
                return redirect('profile:complaint')
        else:
            messages.error(request, 'Pengaduan anda gagal dikirim. Captcha tidak sama.')
            return redirect('profile:complaint')

        return render(request, 'profile/complaint/index.html', {'form': form})

@login_required
@is_verified()
@require_http_methods(["GET"])
def admin_index(request):
    complaint = Complaint.objects.filter(deleted_at = None).order_by('-created_at')
    archives = Complaint.objects.filter(deleted_at__isnull=False).order_by('-created_at')
    context = {
        'title' : 'Pengaduan - Admin',
        'complaints' : complaint,
        'archives' : archives,
    }
    
    return render(request, 'profile/admin/complaint/index.html', context)

@login_required
@is_verified()
@require_http_methods(["GET"])
def admin_detail(request, slug):
    template = 'profile/admin/complaint/detail.html'
    try:
        complaint = Complaint.objects.get(slug=slug)
        complaint.read_status=True
        complaint.save()
    except Complaint.DoesNotExist:
        complaint = None
    context = {
        'title' : 'Pengaduan' if complaint != None else 'TIDAK DITEMUKAN',
        'complaint' : complaint,
    }
    return render(request, template, context)

@login_required
@is_verified()
@require_http_methods(["POST"])
def reply(request):
    if request.method == 'POST':
        try:
            complaint = Complaint.objects.get(slug=request.POST.get('slug'))
            message = get_template("profile/email/complaint_reply.html").render({
                'name': complaint.name,
                'subject': complaint.subject,
                'message': complaint.message,
                'reply' : request.POST.get('balasan'),
            })
            connection = get_connection(host=settings.EMAIL_HOST, 
                                        port=settings.EMAIL_PORT, 
                                        username=settings.EMAIL_HOST_USER_PENGADUAN, 
                                        password=settings.EMAIL_HOST_PASSWORD_PENGADUAN, 
                                        use_tls=settings.EMAIL_USE_TLS)
            mail = EmailMessage(
                subject=f"Balasan terhadap pengaduan: {complaint.subject}",
                body=message,
                to=[
                    complaint.email,
                ],
                connection=connection,
            )
            mail.content_subtype = "html"
            mail.send()

            complaint.reply_status = True
            complaint.save()

            messages.success(request, 'Balasan anda berhasil dikirim.')
            return redirect('profile:admin_complaint_detail', slug=complaint.slug)
            
        except:
            messages.success(request, 'Balasan anda gagal dikirim.')
            return redirect('profile:complaint')

@login_required
@is_verified()
def softDelete(request, slug):
    message = ''
    try:
        sekarang = timezone.now()
        complaint = Complaint.objects.get(slug=slug)
        complaint.deleted_at = sekarang
        complaint.save()
        message = 'success'
    except Complaint.DoesNotExist:
        message = 'error'

    context = {
            'message' : message,
        }

    return HttpResponse(context)

@login_required
@is_verified()
def permanentDelete(request, slug):
    message = ''
    try:
        complaint = Complaint.objects.get(slug=slug)
        complaint.delete()
        message = 'success'
    except Complaint.DoesNotExist:
        message = 'error'

    context = {
            'message' : message,
        }

    return HttpResponse(context)
    
@login_required
@is_verified()
def restore(request, slug):
    message = ''
    try:
        complaint = Complaint.objects.get(slug=slug)
        complaint.deleted_at = None
        complaint.save()
        message = 'success'
    except Complaint.DoesNotExist:
        message = 'error'

    context = {
            'message' : message,
        }

    return HttpResponse(context)

rizq_sanjaya_app/templates/profile/layouts/admin/admin_layout.html
<!DOCTYPE html>
{% load static %}
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="icon" type="image/png" href="{% static 'admin/images/favicon/android-chrome-100x100.png' %}">

    {% if title %}
        <title>{{ title }} | Manage Panel</title>
    {% else %}
        <title>Manage Panel</title>
    {% endif %}
    
    <!-- JS -->
    {% block scripts %} {% endblock scripts %}

    <!-- CSS -->
    <link rel="stylesheet" type="text/css" href="{% static 'admin/css/bootstrap.min.css' %}">
    <link rel="stylesheet" type="text/css" href="{% static 'admin/css/bootstrap-icons-1.8.3/bootstrap-icons.css' %}">
    <link rel="stylesheet" type="text/css" href="{% static 'admin/css/boxicons/css/boxicons.min.css' %}">
    <link rel="stylesheet" type="text/css" href="{% static 'admin/css/fontawesome-free/css/all.min.css' %}">
    <link rel="stylesheet" type="text/css" href="{% static 'admin/css/sb-admin/sb-admin-2.css' %}">
    {% block css %} {% endblock css %}

</head>
<body>
    <div id="wrapper">
        {% include 'profile/layouts/admin/sidebar.html' %}
        <div id="content-wrapper" class="d-flex flex-column">
            <div id="content">
                {% block navbar %} {% endblock navbar %}
                <div class="container-fluid">
                    {% block main %} {% endblock main %}
                </div>
            </div>
    
        </div>
    </div>
    
    <a class="scroll-to-top rounded" href="#page-top">
        <i class="bi bi-arrow-up"></i>
    </a>
    
    {% block modal %} {% endblock modal %}

    {% block footer %} {% endblock footer %}

    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="{% static 'admin/js/jquery-3.2.1.min.js' %}"></script>
    <script src="{% static 'admin/js/popper.min.js' %}"></script>
    <script src="{% static 'admin/js/bootstrap.min.js' %}"></script>
    <script src="{% static 'admin/js/sb-admin/sb-admin-2.js' %}"></script>
    <script src="{% static 'admin/js/sweetalert2.min.js' %}"></script>

    <script>
        var csrf_token = "{{csrf_token}}";
        
        // $(function () {
        //     $('[data-toggle="tooltip"]').tooltip()
        // })
        
        function logout(){
            Swal.fire({
                title: `Apakah anda yakin ingin keluar?`,
                showCancelButton: true,
                confirmButtonText: 'Keluar',
                cancelButtonText: 'Batal',
                }).then((result) => {
                if (result.isConfirmed) {
                    $.ajax({
                        url: `{% url 'logout' %}`,
                        data: {},
                        dataType: "html",
                        timeout: 10000,
                        beforeSend: function() {
                            Swal.fire({
                                title: 'Memproses.........',
                                allowEscapeKey: false,
                                allowOutsideClick: false,
                                showCancelButton: false,
                                showConfirmButton: false,
                            });
                            Swal.showLoading();
                        },
                        success: function(response){
                            Swal.fire(`Berhasil Logout!`, '', 'success');
                            setTimeout(function(){
                                window.location.href = "{% url 'login' %}";
                            }, 2000); 
                        },
                        error: function (xhr, ajaxOptions, thrownError) {
                            Swal.fire(`Gagal Logout`, '', 'error');
                        }
                    });
                    
                }
            });
        }
    </script>
    {% block scripts_bawah %} {% endblock scripts_bawah %}

</body>
</html>

rizq_sanjaya_app/templates/profile/layouts/admin/footer.html
<footer class="sticky-footer bg-info-dark text-white">
    <div class="container my-auto">
        <div class="copyright text-center my-auto">
            <span id="copyright"> Copyright
                &copy; <span id="current-year"></span> - Manage Panel Administrator. All Rights Reserved | by
                <a style="color:#FFFFFF;" href="https://sanjayateknologi.com/" target="_blank">Rizq Sanjaya Teknologi</a>
            </span>
        </div>
    </div>
</footer>
<script>
    var currentYear = new Date().getFullYear();
    document.getElementById("current-year").innerHTML = currentYear;
</script>

rizq_sanjaya_app/templates/profile/layouts/admin/navbar.html
{% load static %}

<nav class="navbar navbar-expand navbar-light bg-white topbar mb-4 static-top shadow">
    
    <button id="sidebarToggleTop" class="btn btn-link d-md-none rounded-circle mr-3 text-dark align-middle">
        <i class="bi bi-menu-button-wide align-middle"></i>
    </button>

    <ul class="navbar-nav ml-auto">
        <li class="nav-item">
            <a class="nav-link text-dark" href="#" id="page-top">Manage Panel Administrator</a>
        </li>

        {% if notif_guestbook > 0 %}
            <li class="nav-item">
                <a class="nav-link" href="{% url 'profile:admin_guestbook' %}" data-tooltip="tooltip" data-placement="top" title="{{notif_guestbook}} Buku Tamu belum dibaca">
                    <button class="btn btn-primary">
                        <i class=" bi bi-book text-white"></i> <span class="badge badge-danger" style="vertical-align: top">{{notif_guestbook}}</span>
                    </button>
                </a>
            </li>
        {% endif %}

        {% if notif_complaint > 0 %}
            <li class="nav-item">
                <a class="nav-link" href="{% url 'profile:admin_complaint' %}" data-tooltip="tooltip" data-placement="top" title="{{notif_complaint}} Pengaduan belum dibaca">
                    <button class="btn btn-primary">
                        <i class=" bi bi-chat text-white"></i> <span class="badge badge-danger" style="vertical-align: top">{{notif_complaint}}</span>
                    </button>
                </a>
            </li>
        {% endif %}
        
        <div class="topbar-divider d-none d-sm-block"></div>
        

        <li class="nav-item dropdown no-arrow">
            <a class="nav-link dropdown-toggle" href="#" id="userDropdown" role="button"
                data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                <span class="mr-2 d-none d-lg-inline text-gray-600 small">{{ request.user.first_name }} {{ request.user.last_name }}</span>
                <img class="img-profile rounded-circle"
                {% if user.avatar %}
                    src="{{user.avatar.url}}"
                {% else %}
                    src="{% static '/admin/images/profile.png' %}"
                {% endif %}>
            </a>

            <div class="dropdown-menu dropdown-menu-right shadow animated--grow-in"
                aria-labelledby="userDropdown">
                <a class="dropdown-item" href="{% url 'profile:admin_user_detail' %}">
                    <i class="bi bi-person-circle"></i>
                    Profile
                </a>
                <a class="dropdown-item" href="{% url 'profile:admin_user_password_edit' %}">
                    <i class="bi bi-key-fill"></i>
                    Ganti Password
                </a>
                <div class="dropdown-divider"></div>
                <button class="dropdown-item" href="#" onclick="logout()">
                    <i class="bi bi-box-arrow-right"></i>
                    Logout
                </button>
            </div>
        </li>
    </ul>

</nav>

rizq_sanjaya_app/templates/profile/layouts/admin/sidebar.html
{% load static %}

<ul class="navbar-nav bg-gradient-info sidebar sidebar-dark accordion" id="accordionSidebar">

    <a class="sidebar-brand d-flex align-items-center justify-content-center" href="{% url 'profile:admin_home' %}">
        <div class="sidebar-brand-icon">
            <img src="{% static 'admin/images/logo_only.png' %}" width="100%" height="52" alt="Logo Manage Panel">
        </div>
        <div class="sidebar-brand-text mx-1">
            <img src="{% static 'admin/images/logo_txt_only.png' %}" width="100%" height="22" alt="Logo Manage Panel">
        </div>
    </a>

    <hr class="sidebar-divider my-0">
    <li class="nav-item">
        <a class="nav-link" href="{% url 'profile:admin_home' %}">
            <i class="bi bi-house"></i>
            <span>Dashboard</span>
        </a>
    </li>
    <hr class="sidebar-divider">
    <li class="nav-item">
        <a class="nav-link" href="{% url 'profile:admin_setting_carousel' %}">
            <i class="bi bi-arrow-left-square-fill"></i>
            <span>Carousel</span></a>
    </li>
    
    <li class="nav-item">
        <a class="nav-link" href="{% url 'profile:admin_setting_aboutme' section='about' %}">
            <i class="bi bi-badge-ad"></i>
            <span>Profile Toyotajogja</span></a>
    </li>
    
    <li class="nav-item">
        <a class="nav-link" href="{% url 'profile:admin_mobil' %}">
            <i class="fas fa-car"></i>
            <span>Mobil</span></a>
    </li>

    <li class="nav-item">
        <a class="nav-link" href="{% url 'profile:admin_pricelist_mobil' %}">
            <i class="fas fa-car"></i>
            <span>Pricelist</span></a>
    </li>

    <li class="nav-item">
        <a class="nav-link" href="{% url 'profile:admin_news' %}">
            <i class="bi bi-newspaper"></i>
            <span>Berita</span></a>
    </li>
    
    <!-- <li class="nav-item">
        <a class="nav-link" href="">
            <i class="bi bi-card-image"></i>
            <span>Galeri</span></a>
    </li> -->
    <li class="nav-item">
        <a class="nav-link" href="{% url 'profile:admin_keunggulan' %}">
            <i class="bi bi-bag-heart"></i>
            <span>Keunggulan</span></a>
    </li>

    <li class="nav-item">
        <a class="nav-link" href="{% url 'profile:admin_setting_carabayar' %}">
            <i class="bi bi-newspaper"></i>
            <span>F.A.Q</span></a>
    </li>

    <li class="nav-item">
        <a class="nav-link" href="{% url 'profile:admin_KM' %}">
            <i class="bi bi-bag-heart"></i>
            <span>Kata Mereka</span></a>
    </li>
    <li class="nav-item">
        <a class="nav-link" href="{% url 'profile:admin_setting_running_link' %}">
            <i class="bi bi-play-btn"></i>
            <span>Partner Kami</span></a>
    </li>
    
    {% if request.user.is_staff or request.user.role == "admin" %}
        <li class="nav-item">
            <a class="nav-link collapsed" href="#" data-toggle="collapse" data-target="#collapsePages" aria-expanded="false" aria-controls="collapsePages">
                <i class="bi bi-gear"></i>
                <span>Setting Aplikasi</span>
            </a>
            <div id="collapsePages" class="collapse" aria-labelledby="headingPages" data-parent="#accordionSidebar">
                <div class="bg-white py-2 collapse-inner rounded">
                    <a class="collapse-item"  href="{% url 'profile:admin_setting_infografis' %}">Informasi Web</a>
                    <a class="collapse-item"  href="{% url 'profile:admin_user' %}">Master User</a>
                    <a class="collapse-item"  href="{% url 'profile:admin_kateogri_mobil' %}">Master Kategori Mobil</a>
                    <a class="collapse-item"  href="{% url 'profile:admin_setting_category' %}">Master Kategori Berita</a>
                </div>
            </div>
        </li>
    {% endif %}
    
    <hr class="sidebar-divider d-none d-md-block">

    <div class="text-center d-none d-md-inline">
        <button class="rounded-circle border-0 text-white" id="sidebarToggle">
            <i class="bi bi-layout-sidebar"></i>
        </button>
    </div>

</ul>